Macaulay2 » Documentation
Packages » RandomCurvesOverVerySmallFiniteFields :: isSmoothCurve
next | previous | forward | backward | up | index | toc

# isSmoothCurve -- Tests smoothness of a curve

- Usage:
    `isSmoothCurve(IC)`
- Inputs:
  - IC, an ideal, the Ideal of a curve
- Outputs:
  - a Boolean value, , whether the curve is smooth or not

## Description

Checks whether a curve is smooth or not

    i1 : S = QQ[x,y,z];

    i2 : IC = ideal(x*y);

    o2 : Ideal of S

    i3 : isSmoothCurve(IC)

    o3 = false

    i4 : IC2 = ideal (x^2+y^2+z^2);

    o4 : Ideal of S

    i5 : isSmoothCurve(IC2)

    o5 = true

## Ways to use isSmoothCurve:

- `isSmoothCurve(Ideal)`

## For the programmer

The object isSmoothCurve is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/RandomCurvesOverVerySmallFiniteFields.m2:1074:0.